import { MatrixClient } from "matrix-js-sdk/src/matrix";
import { RoomMessageEventContent } from "matrix-js-sdk/src/types";
import EditorModel from "./model";
import { Command } from "../SlashCommands";
export declare function isSlashCommand(model: EditorModel): boolean;
export declare function getSlashCommand(model: EditorModel): [Command | undefined, string | undefined, string];
export declare function runSlashCommand(matrixClient: MatrixClient, cmd: Command, args: string | undefined, roomId: string, threadId: string | null): Promise<[content: RoomMessageEventContent | null, success: boolean]>;
export declare function shouldSendAnyway(commandText: string): Promise<boolean>;
